namespace IrrlichtNetSwig
{
    public partial class arrayS3DVertex2TCoords
    {
        public S3DVertex2TCoords this[uint index]
        {
            get
            {
                if (index < 0 || size() < index)
                {
                    throw new System.IndexOutOfRangeException();
                }
                return getValue(index);
            }
            set
            {
                if (index < 0 || size() < index)
                {
                    throw new System.IndexOutOfRangeException();
                }
                setValue(index, value);
            }
        }
        public static implicit operator arrayS3DVertex2TCoords(S3DVertex2TCoords[] other)
        {
            var arr = new arrayS3DVertex2TCoords((uint)other.Length);
            for (uint i = 0; i < other.Length; i++)
            {
                arr.push_back(other[i]);
            }
            return arr;
        }
        public S3DVertex2TCoords[] ToArray()
        {
            var arr = new S3DVertex2TCoords[size()];
            for (uint i = 0; i < size(); i++)
            {
                arr[i] = this.getValue(i);
            }
            return arr;
        }
    }
}